Test::Float::Trigonometric::TanXX Class Reference

Test for tangent constraint with shared variables More...

## Public Member Functions

| TanXX (const std::string &s, const Gecode::FloatVal &d, Gecode::FloatNum st)
| Create and register test.
virtual MaybeType | solution (const Assignment &x) const
| Test whether x is solution
virtual void | post (Gecode::Space &home, Gecode::FloatVarArray &x)
| Post constraint on x.
| Test (const std::string &s, int a, const Gecode::FloatVal &d, Gecode::FloatNum st, AssignmentType at, bool r)
| Constructor.
| Test (const std::string &s, int a, Gecode::FloatNum min, Gecode::FloatNum max, Gecode::FloatNum st, AssignmentType at, bool r)
| Constructor.
virtual Assignment * | assignment (void) const
| Create assignment.
virtual bool | extendAssignement (Assignment &a) const
| Complete the current assignment to get a feasible one (which satisfies all constraint). If such an assignment is computed, it returns true, false otherwise.
bool | subsumed (const TestSpace &ts) const
| Test if ts is subsumed or not (i.e. if there is no more propagator unless the assignment is an extended assigment.
virtual bool | ignore (const Assignment &a) const
| Whether to ignore assignment for reification.
virtual void | post (Gecode::Space &home, Gecode::FloatVarArray &x, Gecode::Reify r)
| Post reified constraint.
virtual bool | run (void)
| Perform test.
bool | flip (void)
| Flip a coin and return true or false randomly.
Public Member Functions inherited from Test::Base
| Base (const std::string &s)
| Create and register test with name s.
const std::string & | name (void) const
| Return name of test.
Base * | next (void) const
| Return next test.
void | next (Base *n)
| Set next test.
virtual | ~Base (void)
| Destructor.

## Additional Inherited Members

static MaybeType | cmp (Gecode::FloatVal x, Gecode::FloatRelType r, Gecode::FloatVal y)
| Compare x and y with respect to r.
static MaybeType | eq (Gecode::FloatVal x, Gecode::FloatVal y)
| Whether x and y are equal.
static std::string | str (Gecode::FloatRelType frt)
| Map float relation to string.
static std::string | str (Gecode::FloatNum f)
| Map floatNum to string.
static std::string | str (Gecode::FloatVal f)
| Map floatVal to string.
static std::string | str (const Gecode::FloatValArgs &f)
| Map float array to string.
Static Public Member Functions inherited from Test::Base
static void | sort (void)
| Sort tests alphabetically.
static Base * | tests (void)
| Return all tests.
static bool | fixpoint (void)
| Throw a coin whether to compute a fixpoint.
Static Public Attributes inherited from Test::Base
static Gecode::Support::RandomGenerator | rand = Gecode::Support::RandomGenerator()
| Random number generator.
bool | eqv (void) const
| Test whether equivalence as reification mode is supported.
bool | imp (void) const
| Test whether implication as reification mode is supported.
bool | pmi (void) const
| Test whether reverse implication as reification mode is supported.
Protected Attributes inherited from Test::Float::Test
int | arity
| Number of variables.
Gecode::FloatVal | dom
| Domain of variables.
Gecode::FloatNum | step
| Step for going to next solution.
AssignmentType | assigmentType
| Gives the type of assignment to use.
bool | reified
| Does the constraint also exist as reified constraint.
int | rms
| Which reification modes are supported.
bool | testsearch
| Whether to perform search test.
bool | testfix
| Whether to perform fixpoint test.
bool | testsubsumed
| Whether to test for subsumption.
Related Symbols inherited from Test::Base
int | main (int argc, char *argv[])
| Main function.

## Detailed Description

Test for tangent constraint with shared variables

Definition at line 217 of file trigonometric.cpp.

## Constructor & Destructor Documentation

## TanXX()

Test::Float::Trigonometric::TanXX::TanXX | ( | const std::string & | s,
|  | const Gecode::FloatVal & | d,
|  | Gecode::FloatNum | st )

inline

Create and register test.

Definition at line 220 of file trigonometric.cpp.

## Member Function Documentation

## solution()

virtual MaybeType Test::Float::Trigonometric::TanXX::solution | ( | const Assignment & | x | ) | const

inline virtual

Test whether x is solution

Implements Test::Float::Test.

Definition at line 223 of file trigonometric.cpp.

## post()

virtual void Test::Float::Trigonometric::TanXX::post | ( | Gecode::Space & | home,
|  | Gecode::FloatVarArray & | x )

inline virtual

Post constraint on x.

Implements Test::Float::Test.

Definition at line 227 of file trigonometric.cpp.

The documentation for this class was generated from the following file:

- test/float/trigonometric.cpp